Bug 57473 - /etc/init.d/lpd does not start
Summary: /etc/init.d/lpd does not start
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: alchemist   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-13 15:42 UTC by Mario Mikocevic
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-21 11:03:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mario Mikocevic 2001-12-13 15:42:20 UTC
Description of Problem:

Starting lpd service yields :

# /etc/init.d/lpd start
Starting lpd: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import printconf_backend
  File "/usr/share/printconf/util/printconf_backend.py", line 28, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 509, in ?
    from pyalchemist import *
ImportError: No module named pyalchemist
No Printers Defined                                        [  OK  ]

Version-Release number of selected component (if applicable):

# rpm -qf /etc/init.d/lpd 
LPRng-3.7.4-28

# rpm -qa | grep alch
alchemist-1.0.18-1

How Reproducible:

always

Steps to Reproduce:
1. /etc/init.d/lpd start
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Another python1.5 <-> python2.x problem !?

# rpm -qvl alchemist-1.0.18-1
...
-rwxr-xr-x    1 root    root             2495 Kol 24 00:08
/usr/lib/python1.5/site-packages/pyalchemist_python.py
...

         ^^^^^^^^^

Comment 1 Tim Waugh 2002-01-30 13:12:34 UTC
This is fixed now.



Note You need to log in before you can comment on or make changes to this bug.